> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Work Order Line Item

> This endpoint deletes an existing work order line item.

### Body

<ParamField body="id" type="string">
  The ID of the work order line item you want to delete
</ParamField>

### Response

<ResponseField name="id" type="string">
  The ID provided in the data tab may be used to identify the work order
</ResponseField>

<ResponseField name="object" type="string">
  The object type
</ResponseField>

<ResponseField name="success" type="number">
  Indicates whether the call was successful. 1 if successful, 0 if not.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request DELETE 'https://api.stateset.com/v1/work_order_line_items' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
  		"id": "example_1"
  }'
  ```

  ```js Node.js theme={null}
  const workOrderLineItem = await stateset.workOrderItem.del({
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  });

  ```

  ```graphQL GraphQL theme={null}
                 mutation deleteWorkOrderLineItem ($work_order_line_item_id: uuid!) {
                  delete_work_order_line_items(where: {id: {_eq: $work_order_line_item_id}}) {
                    affected_rows
                  }
                }
  ```

  ```python Python theme={null}
  work_order_line_item = stateset.work_order_line_item.del(
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  )

  ```

  ```ruby Ruby theme={null}
  work_order_line_item = Stateset::WorkOrderLineItem.del(
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  )

  ```

  ```php PHP theme={null}
  $work_order_line_item = Stateset\WorkOrderItem::del(
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  );

  ```

  ```go Golang theme={null}
  workOrderLineItem, err := stateset.ReturnLineItem.Delete(
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  )

  ```

  ```java Java theme={null}
  WorkOrderLineItem workOrderLineItem = stateset.workOrderLineItem.del(
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  );

  ```

  ```csharp C# theme={null}
  var workOrderLineItem = await Stateset.WorkOrderLineItem.Delete(
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  );

  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "rli_1NXWPnCo6bFb1KQto6C8OWvE",
    "object": "return_line_item",
    "deleted": true
  }

  ```
</ResponseExample>
